Library Version 18.1.40

DB_SITE->get_eid()
Prev | Chapter 10. Replication Methods | Next

## DB_SITE->get_eid()

    #include <db.h>

    int
    DB_SITE->get_eid(DB_SITE *site, int *eidp);

The `DB_SITE->get_eid()` method returns a replication site's environment ID (EID). This method may not be called before opening the database environment.

The `DB_SITE->get_eid()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### eidp

References memory into which the EID will be copied.

### Errors

The `DB_SITE->get_eid()` method may fail and return one of the following non-zero errors:

#### EINVAL

If the database environment was not already opened; or if an invalid flag value or parameter was specified.

### Class

DB_SITE

### See Also

Replication and Related Methods

Prev | Up | Next
DB_SITE->get_address() | Home | DB_SITE->remove()